## ncbi-blast+ 2.6.0

=== c++/src/misc/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake/src/misc/Makefile.in
#

# Include projects from this directory

# Recurse subdirectories
add_subdirectory_optional(third_party)
add_subdirectory_optional(third_party_static)
add_subdirectory_optional(clog)
add_subdirectory_optional(grid_cgi)
add_subdirectory_optional(xmlwrapp)
add_subdirectory_optional(eutils_client)
add_subdirectory_optional(hydra_client)
add_subdirectory_optional(discrepancy_report)
add_subdirectory_optional(discrepancy)
add_subdirectory_optional(xmlreaders)
add_subdirectory_optional(hgvs)
add_subdirectory_optional(netstorage)
add_subdirectory_optional(jsonwrapp)
add_subdirectory_optional(biosample_util)
add_subdirectory_optional(data_loaders_util)
