=== c++/src/misc/third_party_static/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake.2015-01-24/src/misc/third_party_static/Makefile.in
#

# Include projects from this directory
