## ncbi-blast+ 2.2.25

=== debian/changelog ===
ncbi-blast+ (2.2.25-6) unstable; urgency=low

   * debian/control:
     Luca Capello <luca@pca.it>, fix reference for legacy_blast (Closes: #642986).
     + add a new line to separate the actual description from usage
      instruction in the long Description:.
   * debian/rules: add gene_info_reader binary in package

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Fri, 30 Sep 2011 12:31:05 -0400

ncbi-blast+ (2.2.25-5) unstable; urgency=low

  * Team upload.
  * debian/patches/hurd_fixes: further patch configure(.ac) to reflect
    -Wl,rpath,... support.  (Closes: #629656.)
  * debian/patches/fix_lib_deps: link makembindex and srsearch against
    libxconnect rather than libconnect for consistency with libblast,
    which uses the former for consistency with other projects.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 Aug 2011 12:31:05 -0400

ncbi-blast+ (2.2.25-4) unstable; urgency=low

  [ Aaron M. Ucko ]
  * Team upload.
  * debian/patches/support_other_cpus: belatedly add a descriptive header.
  * debian/patches/hurd_fixes: new; fix hurd-specific issues.
    (In conjunction with the following change, finally closes: #629656.)
  * debian/control:
    - Build-Depends += libc0.3-dev (>= 2.13-9~) [hurd-i386] to avoid #630180.
    - Declare both binary packages as Multi-Arch: foreign.
  * debian/patches/fix_lib_deps: new; ensure that all libraries link against
    all direct dependencies.  (Break the dependency loop between libxblast
    and libxalgoblastdbindex by having the former provide only the C++ BLAST
    API, leaving the C core only in libblast.)  (Closes: #633567.)
  * debian/rules: tweak LDFLAGS, supplying -Wl,--as-needed across the
    board (as it is now safe to do so) and adding -Wl,--enable-new-dtags
    to allow LD_LIBRARY_PATH to override the private rpath.
  * debian/patches/no_multiarch_rpath: new; avoid redundant rpath entries
    on multiarch systems (courtesy of overzealous logic to ensure
    executables will be able to find libstdc++.)

  [ Andreas Tille ]
  * Enhances: t-coffee (as stated in tasks file)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Aug 2011 18:45:19 -0400

ncbi-blast+ (2.2.25-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    - Export MAKE to override an internal upstream build script that
      otherwise incorrectly defaults to gmake on non-Linux
      architectures. (Really closes: #629656, with any luck.)
    - Force CONFIG_SHELL=/bin/bash to avoid lossage that can occur with zsh4
      masquerading as ksh, which configure otherwise favors (due to complaints
      from users with broken BASH_ENV scripts that change directories).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 09 Jun 2011 19:25:45 -0400

ncbi-blast+ (2.2.25-2) unstable; urgency=low

  * Team upload.
  * Fix several sources of build failures (closes: #629656):
    - debian/rules (override_dh_install): Correctly support building only
      architecture-dependent packages.
      (DEB_CONFIGURE_EXTRA_FLAGS): Add --without-caution to override the
      upstream build system's reluctance to build shared libraries on the
      Hurd or kFreeBSD, which it doesn't specifically recognize.  Limit C++
      optimization level to -O (rather than the default -O2) on mips(el),
      on which g++ otherwise crashes. :-/
    - debian/patches/support_other_cpus (new; committed upstream too):
      build correctly on architectures that wound up defining
      NCBI_SLOW_ATOMIC_SWAP (spuriously in the case of powerpc,
      whose detection the patch fixes as well).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 08 Jun 2011 21:42:52 -0400

ncbi-blast+ (2.2.25-1) unstable; urgency=low

  * Initial release (Closes: #624394) 

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Wed, 08 Jun 2011 00:15:15 +0200
