=== debian/control ===
Source: ncbi-blast+
Section: science
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), autotools-dev (>= 20100122), libbz2-dev, libpcre3-dev, zlib1g-dev, libboost-test-dev, quilt (>= 0.46-7~), time, libc0.3-dev (>= 2.13-9~) [hurd-i386]
Standards-Version: 3.9.2
Uploaders: Olivier Sallou <olivier.sallou@irisa.fr>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/ncbi-blast+/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ncbi-blast+/trunk/

Package: ncbi-blast+
Architecture: any
Enhances: t-coffee
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ncbi-data
Multi-Arch: foreign
Description: next generation suite of BLAST sequence search tools
 The Basic Local Alignment Search Tool (BLAST) is the most widely
 used sequence similarity tool. There are versions of BLAST that 
 compare protein queries to protein databases, nucleotide queries 
 to nucleotide databases, as well as versions that translate nucleotide 
 queries or databases in all six frames and compare to protein databases 
 or queries.
 PSI-BLAST produces a position-specific-scoring-matrix (PSSM) starting 
 with a protein query, and then uses that PSSM to perform further searches.
 It is also possible to compare a protein or nucleotide query to a 
 database of PSSM’s.
 The NCBI supports a BLAST web page at blast.ncbi.nlm.nih.gov as well as
 a network service.

Package: ncbi-blast+-legacy
Architecture: all
Depends: ncbi-blast+, ${misc:Depends}
Multi-Arch: foreign
Description: NCBI Blast legacy call script
 This package adds some fake scripts to call NCBI+ programs
 with the NCBI blast command line. It makes use of the
 legacy_blast script in ncbi-blast+ package.
 .
 To use those scripts, /usr/share/ncbi-blast+/bin must be added
 to the PATH.
