## ncbi-blast+ 2.2.26

=== debian/changelog ===
ncbi-blast+ (2.2.26-3) unstable; urgency=low

  [ Aaron M. Ucko ]
  * debian/patches/fix_gcc47_errors: fix various GCC 4.7 compilation
    errors and warnings.  (Closes: #669679.)
    - Explicitly qualify more dependent names originating in base templates.
    - Directly #include headers as needed.
    - Use modern syntax for making protected base members public.
    - Add forward declarations as needed.
  * Wrap and sort build dependencies to ease maintenance thereof.
  * Enable full hardening flags, introducing a small patch
    (use_pie_for_apps) to reflect the need to build executables and
    libraries differently.
  * Use upstream's new --with-symbols flag in nostrip builds.

  [ Andreas Tille ]
  * debian/control: Modernize Vcs-* fields.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 May 2012 23:42:49 -0400

ncbi-blast+ (2.2.26-2) unstable; urgency=low

  * debian/patches/wrong_path_to_touch.patch :Fix upstream FTBFS on the Hurd
    hardcodes wrong path to touch (Closes: #663244)

 -- Olivier Sallou <osallou@debian.org>  Wed, 07 Mar 2012 17:29:23 +0100

ncbi-blast+ (2.2.26-1) unstable; urgency=low

  [ Olivier Sallou ]
  * New upstream release 
  * Remove some patches, applied upstream

  [ Andreas Tille]
  * debian/copyright: Added Upstream-Contact

 -- Olivier Sallou <osallou@debian.org>  Wed, 07 Mar 2012 09:37:10 +0100

ncbi-blast+ (2.2.25-7) unstable; urgency=low

  * Do not output everything to STDERR in
    c++/src/app/blast/update_blastdb.pl
    Closes: #644237
  * debian/control: Depends s/${python:Depends}/python/ because
    the python dependency of /usr/bin/windowmasker_2.2.22_adapter
    is not detected obviosely
  * debian/copyright: Indentation fixes to get DEP5 compatibility

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2011 15:47:04 +0100
