=== debian/rules ===
--- 
+++ 
@@ -7,22 +7,28 @@
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
     --without-makefile-auto-update --with-flat-makefile --without-caution \
     --without-dbapi --without-lzo --with-runpath=/usr/lib/ncbi-blast+ \
-    --with-build-root=BUILD LDFLAGS='-Wl,--as-needed -Wl,--enable-new-dtags'
+    --with-build-root=BUILD --without-debug
 proj=algo/blast/ app/ objmgr/ objtools/align_format/ objtools/blast/
 
-# XXX - not quite right, as we get -DNDEBUG vs. -D_DEBUG
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-DEB_CONFIGURE_EXTRA_FLAGS += --without-debug
-else
-DEB_CONFIGURE_EXTRA_FLAGS += --with-optimization
+ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+DEB_CONFIGURE_EXTRA_FLAGS += --with-symbols
 endif
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+
 ifneq (,$(findstring mips,$(DEB_HOST_ARCH)))
-DEB_CONFIGURE_EXTRA_FLAGS += CXXFLAGS=-O FAST_CXXFLAGS=-O
+CXXFLAGS := $(CXXFLAGS:-O%=-O)
+DEB_CONFIGURE_EXTRA_FLAGS += FAST_CXXFLAGS=-O
 endif
 
-export MAKE
+export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MAKE
 
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
@@ -30,7 +36,9 @@
 	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
 
 override_dh_auto_build:
-	cd c++/BUILD/build  &&  make -f Makefile.flat all_projects="$(proj)"
+	cd c++/BUILD/build  && \
+	    make -f Makefile.flat all_projects="$(proj)" \
+	      APP_LDFLAGS='-Wl,-E -fPIE -pie'
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -65,7 +73,7 @@
 		`basename $$x .files`.module purge_sources); \
 	done
 	rm -rf c++/BUILD c++/compilers/dll c++/config.log c++/Makefile
-	rm -f c++/src/objects/blastxml/blastxml.module
+	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
 
 %:
 	dh $@ -Dc++ --with autotools_dev --with quilt
