## ncbi-blast+ 2.2.27

=== debian/changelog ===
ncbi-blast+ (2.2.27-3) unstable; urgency=low

  * debian/series: active patch fix_arm_mips_build (Closes: #688661).

 -- Olivier Sallou <osallou@debian.org>  Fri, 05 Oct 2012 11:03:03 +0200

ncbi-blast+ (2.2.27-2) unstable; urgency=low

  * debian/patches/fix_arm_mips_build: Fix FTBS on ARM and MIPS
    (Closes: #688661).
  * debian/rules: rename seedtop to seedtop+ to avoid blast2 conflict
    (Closes: #688684).

 -- Olivier Sallou <osallou@debian.org>  Mon, 24 Sep 2012 09:28:29 +0200

ncbi-blast+ (2.2.27-1) unstable; urgency=low

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Sep 2012 17:25:41 +0200
