=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,7 @@
 override_dh_install:
 	# dh_install
 	mv $(instroot)/bin/rpsblast $(instroot)/bin/rpsblast+
+	mv $(instroot)/bin/seedtop $(instroot)/bin/seedtop+
 	mv $(instroot)/bin/legacy_blast.pl   $(instroot)/bin/legacy_blast
 	mv $(instroot)/bin/update_blastdb.pl $(instroot)/bin/update_blastdb
 	mv $(instroot)/bin/windowmasker_2.2.22_adapter.py \
@@ -69,8 +70,10 @@
 override_dh_clean:
 	dh_clean
 	-for x in c++/src/objects/*/*.files; do \
+	  if [ -d $$x ]; then \
 	    (cd `dirname $$x`  &&  ../../../BUILD/build/new_module.sh \
 		`basename $$x .files`.module purge_sources); \
+	  fi \
 	done
 	rm -rf c++/BUILD c++/compilers/dll c++/config.log c++/Makefile
 	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
