## ncbi-blast+ 2.2.28

=== debian/changelog ===
ncbi-blast+ (2.2.28-2) unstable; urgency=low

  * debian/patches/use_pie_for_apps: Explicitly build all executables with
    -fPIE -pie, to avoid giving project_tree_builder a partial PIE
    treatment that now fails on mips and mipsel.  (Closes: #710807.)
  * debian/rules: Retire redundant APP_LDFLAGS override.
  * Standards-Version: 3.9.4.  (Already compliant.)
  
 -- Aaron M. Ucko <ucko@debian.org>  Sun, 02 Jun 2013 23:00:44 -0400

ncbi-blast+ (2.2.28-1) unstable; urgency=low

  * New upstream release
    - Thanks to Tim Booth for package update help.

 -- Olivier Sallou <osallou@debian.org>  Sat, 01 Jun 2013 08:40:51 +0200
