=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: science
 Priority: optional
 Build-Depends: autotools-dev (>= 20100122),
-               debhelper (>= 7.0.50~),
-	       dpkg-dev (>= 1.16.1),
+               debhelper (>= 9),
+               dpkg-dev (>= 1.16.1),
                libboost-test-dev,
                libbz2-dev,
                libc0.3-dev (>= 2.13-9~) [hurd-i386],
                libpcre3-dev,
-               quilt (>= 0.46-7~),
+               quilt,
                time,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Uploaders: Olivier Sallou <osallou@debian.org>, Andreas Tille <tille@debian.org>
-DM-Upload-Allowed: yes
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ncbi-blast+/trunk/
