=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
     --without-makefile-auto-update --with-flat-makefile --without-caution \
@@ -14,7 +15,10 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --with-symbols
 endif
 
+#export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_CFLAGS_MAINT_APPEND=-Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -30,6 +34,7 @@
 
 export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MAKE
 
+
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
 	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
@@ -37,8 +42,7 @@
 
 override_dh_auto_build:
 	cd c++/BUILD/build  && \
-	    make -f Makefile.flat all_projects="$(proj)" \
-	      APP_LDFLAGS='-Wl,-E -fPIE -pie'
+	    make -f Makefile.flat all_projects="$(proj)"
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -69,14 +73,22 @@
 
 override_dh_clean:
 	dh_clean
-	-for x in c++/src/objects/*/*.files; do \
-	  if [ -d $$x ]; then \
-	    (cd `dirname $$x`  &&  ../../../BUILD/build/new_module.sh \
-		`basename $$x .files`.module purge_sources); \
-	  fi \
+	#Tricky - for each module directory there may be several module files
+	#or there may be none but then there is still a module named after the
+	#directory.  Clean everything!
+	-for x in c++/src/objects/* ; do \
+	    (cd "$$x"  && ( \
+		mods="`echo *.module`" ; \
+		[ "$${mods#*\*}" = "$$mods" ] || mods="`basename $$x`" ; \
+		for mod in $$mods ; do \
+       		    ../../../BUILD/build/new_module.sh $$mod purge_sources ; \
+		done ) ; \
+	    ) ; \
 	done
-	rm -rf c++/BUILD c++/compilers/dll c++/config.log c++/Makefile
+	rm -rf c++/compilers/dll c++/config.log c++/Makefile
 	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
+	find -name check_exec.pid -delete
+	rm -rf c++/BUILD
 
 %:
 	dh $@ -Dc++ --with autotools_dev --with quilt
