## ncbi-blast+ 2.2.29

=== debian/changelog ===
ncbi-blast+ (2.2.29-3) unstable; urgency=medium

  * debian/patches/include_typeinfo: Patch include/corelib/ncbistl.hpp to
    ensure sufficient coverage; fix typos in patch headers.  (Closes: #753190.)
  * Standards-Version: 3.9.4.  (Already compliant.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 01 Jul 2014 18:27:46 -0400

ncbi-blast+ (2.2.29-2) unstable; urgency=medium

  * d/patches/include_typeinfo (Closes: #753190).

 -- Olivier Sallou <osallou@debian.org>  Sat, 07 Jun 2014 11:28:22 +0200

ncbi-blast+ (2.2.29-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 06 Jun 2014 22:38:40 +0200
