=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                quilt,
                time,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Uploaders: Olivier Sallou <osallou@debian.org>, Andreas Tille <tille@debian.org>
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
