=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
 
 override_dh_clean:
+	cp c++/configure.orig configure.orig.save
 	dh_clean
 	#Tricky - for each module directory there may be several module files
 	#or there may be none but then there is still a module named after the
@@ -89,6 +90,7 @@
 	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
 	find -name check_exec.pid -delete
 	rm -rf c++/BUILD
+	mv configure.orig.save c++/configure.orig
 
 %:
 	dh $@ -Dc++ --with autotools_dev --with quilt
