## ncbi-blast+ 2.2.30

=== debian/changelog ===
ncbi-blast+ (2.2.30-4build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:44 +0000

ncbi-blast+ (2.2.30-4) unstable; urgency=medium

  * d/patches/fix_compilation: Add an upstream patch to
    include/util/bitset/bmconst.h to fix builds with GCC 5 on platforms
    such as arm64 on which char is unsigned.  (Closes: #790667.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 02 Jul 2015 16:22:39 -0400

ncbi-blast+ (2.2.30-3) unstable; urgency=medium

  * Switch to unstable after unfreeze.

 -- Olivier Sallou <osallou@debian.org>  Mon, 18 May 2015 14:34:50 +0200

ncbi-blast+ (2.2.30-2) experimental; urgency=medium

  * d/patches/allow_gcc5 (new): Allow compilation with GCC 5, per upstream.
    (Closes: #778021.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 16 Feb 2015 22:38:50 -0500

ncbi-blast+ (2.2.30-1) experimental; urgency=medium

  * New upstream release
  * d/control: switch to Standards 3.9.6 
               fix svn url
  * d/patches/fix_compilation: fix compilation issue

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Nov 2014 18:21:26 +0100
