=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                quilt,
                time,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Uploaders: Olivier Sallou <osallou@debian.org>, Andreas Tille <tille@debian.org>
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ncbi-blast+/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ncbi-blast+/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ncbi-blast+/trunk/
 
 Package: ncbi-blast+
