=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,9 @@
 override_dh_auto_build:
 	cd c++/BUILD/build  && \
 	    make -f Makefile.flat all_projects="$(proj)"
+#	   make all_r
+
+
 
 override_dh_auto_test:
 	-dh_auto_test
