## ncbi-blast+ 2.2.31

=== debian/changelog ===
ncbi-blast+ (2.2.31-4) unstable; urgency=medium

  * Really enable building architecture independent package separately
    Closes: #809120
  * Save time and do nothing for architecture independent builds

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jan 2016 18:50:31 +0100

ncbi-blast+ (2.2.31-3) unstable; urgency=medium

  * Drop explicite mentioning of quilt
  * Enable building architecture independent package separately
    Closes: #809120
  * Override false lintian error
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Mon, 28 Dec 2015 12:32:23 +0100

ncbi-blast+ (2.2.31-2) unstable; urgency=medium

  * Fix a long-standing typo for GNU/kFreeBSD FTBS (Aaron M. Ucko) 

 -- Olivier Sallou <osallou@debian.org>  Fri, 11 Dec 2015 09:44:43 +0100

ncbi-blast+ (2.2.31-1) unstable; urgency=medium

  * New upstream release 
  * Allow parallel build (Closes: #798277). Thanks to Aron Xu <aron@debian.org>
  * GCC break fix (recompile with gcc5, Closes: #793263).

 -- Olivier Sallou <osallou@debian.org>  Thu, 10 Dec 2015 13:37:03 +0100
