=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                libbz2-dev,
                libc0.3-dev (>= 2.13-9~) [hurd-i386],
                libpcre3-dev,
-               quilt,
                time,
                zlib1g-dev
 Standards-Version: 3.9.6
