=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+NUMJOBS=1
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
 
 
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
@@ -40,12 +45,13 @@
 	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
 	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	cd c++/BUILD/build  && \
-	    make -f Makefile.flat all_projects="$(proj)"
+	    make -j$(NUMJOBS) -f Makefile.flat all_projects="$(proj)"
 #	   make all_r
 
-
+override_dh_auto_build-indep:
+	echo "Save time and do nothing for architecture independent builds"
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -54,11 +60,14 @@
 
 instroot = debian/ncbi-blast+/usr
 leg_bin = debian/ncbi-blast+-legacy/usr/share/ncbi-blast+/bin
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
 	cp c++/BUILD/bin/*    $(instroot)/bin/
 
-override_dh_install:
+override_dh_auto_install-indep:
+	echo "Nothing to do for architecture independant installs"
+
+override_dh_install-arch:
 	# dh_install
 	mv $(instroot)/bin/rpsblast $(instroot)/bin/rpsblast+
 	mv $(instroot)/bin/seedtop $(instroot)/bin/seedtop+
@@ -72,6 +81,7 @@
 	    $(instroot)/bin/project_tree_builder \
 	    $(instroot)/lib/ncbi-blast+/libtest_*.so
 
+override_dh_install-indep:
 	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
 
 override_dh_clean:
@@ -96,7 +106,7 @@
 	mv configure.orig.save c++/configure.orig
 
 %:
-	dh $@ -Dc++ --with autotools_dev --with quilt
+	dh $@ -Dc++ --with autotools_dev
 
 get-orig-source:
 	. debian/get-orig-source
