## ncbi-blast+ 2.4.0

=== debian/changelog ===
ncbi-blast+ (2.4.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 30 Aug 2016 08:56:56 +0200

ncbi-blast+ (2.4.0-3) unstable; urgency=medium

  * debian/rules:
    - Properly build (but don't install) run_with_lock. (Closes: #833538.)
    - Comment out nostrip check, which yielded a useless dbgsym package.
  * Reinstate and refresh the hurd_fixes patch, which mostly still applies.
    (Closes: #833539.)
  * Add a new support_x32 patch to avoid picking up wrong inline assembly.
    (Closes: #833541.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 05 Aug 2016 19:47:24 -0400

ncbi-blast+ (2.4.0-2) unstable; urgency=medium

  * Import upstream patch for remaining Boost compatibility issues
    as debian/patches/support_recent_boost.  (Closes: #833451.)
  * debian/rules: Automatically determine which libraries are needed.
    (The hand-maintained blacklist was incomplete.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 04 Aug 2016 23:08:20 -0400

ncbi-blast+ (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches; drop fix_kfreebsd_ftbs.patch (applied upstream).
  * Import upstream patch to fix Boost version detection (which missed the
    2.4.0 release branch) as debian/patches/fix_version_extraction.
  * fix_lib_deps: List taxon1 in align_format's overridden DLL_LIB, in
    large part to ensure its headers are generated on time; generally fix
    remaining cases of underlinkage (several longstanding).
  * debian/rules: Build --without-downloaded-vdb, to avoid trying to go to
    Github for code that BLAST+ doesn't even use.  (Other parts of the C++
    Toolkit do.)
  * debian/control: Go ahead and add myself to Uploaders.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 03 Aug 2016 21:40:00 -0400

ncbi-blast+ (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtest added 

 -- Canberk Koç <canberkkoc@gmail.com>  Tue, 02 Aug 2016 03:32:09 +0300

ncbi-blast+ (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Git
  * cme fix dpkg-control
  * drop get-orig-source target which is simply the usual uscan call

 -- Andreas Tille <tille@debian.org>  Tue, 12 Apr 2016 14:54:08 +0200
