=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,12 @@
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
     --without-makefile-auto-update --with-flat-makefile --without-caution \
     --without-dbapi --without-lzo --with-runpath=/usr/lib/ncbi-blast+ \
-    --with-build-root=BUILD --without-debug
+    --with-build-root=BUILD --without-debug --without-downloaded-vdb
 proj=algo/blast/ app/ objmgr/ objtools/align_format/ objtools/blast/
 
-ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+#ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CONFIGURE_EXTRA_FLAGS += --with-symbols
-endif
+#endif
 
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
@@ -39,6 +39,9 @@
 
 export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MAKE
 
+# used for run_with_lock
+DEB_CONFIGURE_EXTRA_FLAGS +=  CFLAGS_FOR_BUILD="$(CFLAGS) -fPIE"
+DEB_CONFIGURE_EXTRA_FLAGS += LDFLAGS_FOR_BUILD="$(LDFLAGS)"
 
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
@@ -61,7 +64,7 @@
 instroot = debian/ncbi-blast+/usr
 leg_bin = debian/ncbi-blast+-legacy/usr/share/ncbi-blast+/bin
 override_dh_auto_install-arch:
-	cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
+	# cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
 	cp c++/BUILD/bin/*    $(instroot)/bin/
 
 override_dh_auto_install-indep:
@@ -77,9 +80,12 @@
 	   $(instroot)/bin/windowmasker_2.2.22_adapter
 # Clean up tests, demos, and internal build tools
 	rm -f $(instroot)/bin/*test* $(instroot)/bin/seqdb_demo \
-	    $(instroot)/bin/datatool \
-	    $(instroot)/bin/project_tree_builder \
-	    $(instroot)/lib/ncbi-blast+/libtest_*.so
+	    $(instroot)/bin/datatool $(instroot)/bin/run_with_lock \
+	    $(instroot)/bin/project_tree_builder
+	for x in $(instroot)/bin/*; do \
+	    LD_LIBRARY_PATH=c++/BUILD/lib ldd $$x; \
+	done 2>/dev/null | awk '/BUILD/ { print $$3 }' | sort -u | \
+	xargs cp -v -t $(instroot)/lib/ncbi-blast+
 
 override_dh_install-indep:
 	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
@@ -107,6 +113,3 @@
 
 %:
 	dh $@ -Dc++ --with autotools_dev
-
-get-orig-source:
-	. debian/get-orig-source
