## ncbi-blast+ 2.6.0

=== debian/changelog ===
ncbi-blast+ (2.6.0-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sun, 15 Jan 2017 17:12:27 +0000

ncbi-blast+ (2.5.0-4) unstable; urgency=medium

  * New optionally_keep_sequence patch to hang on to sequence data even if
    -parse_deflines recognized a non-local ID, on the condition that the
    environment variable BLAST_ALWAYS_KEEP_SEQUENCE (or configuration
    parameter [BLAST] always_keep_sequence) is set to a "true" value
    (English-only, case-insensitive true, t, yes, y, or 1).  (Closes: #792510.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Dec 2016 22:46:44 -0500

ncbi-blast+ (2.5.0-3) unstable; urgency=medium

  * New suppress_gnutls_version_check patch to prevent bailing when the
    exact compile-time and runtime GNU TLS versions differ; trust dpkg to
    disallow combinations that are actually incompatible.
  * debian/rules: If configure fails (as has been happening on alpha),
    present (BUILD/status/)config.log before bailing.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Dec 2016 21:40:38 -0500

ncbi-blast+ (2.5.0-2) unstable; urgency=medium

  * debian/patches/fix_lib_deps: Patch Makefile.blast_macros.mk to add blast
    to BLAST_LIBS to clear up link errors that could otherwise occur.
  * debian/control: B-D on libgnutls28-dev to enable HTTPS support.
  * Fully take blast2 over from ncbi-tools6, whose implementation has retired.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 05 Dec 2016 23:16:54 -0500

ncbi-blast+ (2.5.0-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 01 Dec 2016 14:40:17 +0100
