=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                libboost-test-dev,
                libbz2-dev,
                libc-dev-bin,
+               libgnutls28-dev,
                libpcre3-dev,
                time,
                zlib1g-dev
@@ -46,10 +47,20 @@
 Multi-Arch: foreign
 Depends: ncbi-blast+,
          ${misc:Depends}
+Breaks: blast2 (<< 1:2.5.0~)
+Replaces: blast2 (<< 1:2.5.0~)
 Description: NCBI Blast legacy call script
  This package adds some fake scripts to call NCBI+ programs
  with the NCBI blast command line. It makes use of the
  legacy_blast script in ncbi-blast+ package.
- .
- To use those scripts, /usr/share/ncbi-blast+/bin must be added
- to the PATH.
+
+Package: blast2
+Architecture: all
+Multi-Arch: foreign
+Section: oldlibs
+Priority: extra
+Depends: ncbi-blast+-legacy,
+         ${misc:Depends}
+Description: transitional dummy package to ncbi-blast+-legacy
+ This is a transitional dummy package for ncbi-blast+-legacy.
+ It can safely be removed.
