=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,13 @@
 DEB_CONFIGURE_EXTRA_FLAGS +=  CFLAGS_FOR_BUILD="$(CFLAGS) -fPIE"
 DEB_CONFIGURE_EXTRA_FLAGS += LDFLAGS_FOR_BUILD="$(LDFLAGS)"
 
+BLAST2_VERSION=1:$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
+
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
 	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
-	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
+	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS) \
+	    ||  (tail -v -n +0 config.log BUILD/status/config.log; exit 1)
 
 override_dh_auto_build-arch:
 	cd c++/BUILD/build  && \
@@ -62,7 +65,7 @@
 	-cat c++/BUILD/build/check.sh.out_err
 
 instroot = debian/ncbi-blast+/usr
-leg_bin = debian/ncbi-blast+-legacy/usr/share/ncbi-blast+/bin
+leg_bin = debian/ncbi-blast+-legacy/usr/bin
 override_dh_auto_install-arch:
 	# cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
 	cp c++/BUILD/bin/*    $(instroot)/bin/
@@ -88,7 +91,12 @@
 	xargs cp -v -t $(instroot)/lib/ncbi-blast+
 
 override_dh_install-indep:
-	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
+	#if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
+	for x in blastall megablast blastpgp bl2seq rpsblast fastacmd formatdb \
+	         seedtop; do \
+	    sed -e "s/.{.*}/$$x/" debian/legacy/legacy.sh > $(leg_bin)/$$x; \
+	    chmod +x $(leg_bin)/$$x; \
+	done
 
 override_dh_clean:
 	cp c++/configure.orig configure.orig.save
@@ -111,5 +119,9 @@
 	rm -rf c++/BUILD
 	mv configure.orig.save c++/configure.orig
 
+override_dh_gencontrol-indep:
+	dh_gencontrol -pblast2 -- -v$(BLAST2_VERSION)
+	dh_gencontrol -Nblast2
+
 %:
 	dh $@ -Dc++ --with autotools_dev
